<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <style>
    body {
      font-family: Arial, sans-serif;
      background-color: #f4f4f4;
      margin: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      height: 100vh;
    }

    .container {
      background-color: #fff;
      padding: 20px;
      border-radius: 8px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    }

    form {
      display: flex;
      flex-direction: column;
    }

    label {
      margin-bottom: 8px;
    }

    input,
    textarea {
      padding: 10px;
      margin-bottom: 16px;
      border: 1px solid #ccc;
      border-radius: 4px;
    }

    button {
      padding: 10px;
      background-color: #4caf50;
      color: #fff;
      border: none;
      border-radius: 4px;
      cursor: pointer;
    }

    button:hover {
      background-color: #45a049;
    }

    #statusMessage {
      margin-top: 16px;
      font-weight: bold;
      color: #333;
    }
  </style>
  <title>Contact Us Form</title>
</head>
<body>
  <div class="container">
    <form id="contactForm">
      <label for="name">Name:</label>
      <input type="text" id="name" name="name" required>

      <label for="email">Email:</label>
      <input type="email" id="email" name="email" required>

      <label for="message">Message:</label>
      <textarea id="message" name="message" rows="4" required></textarea>

      <button type="button" onclick="submitForm()">Submit</button>
    </form>
    <div id="statusMessage"></div>
  </div>

  <script>
    function submitForm() {
      var formData = {
        name: document.getElementById("name").value,
        email: document.getElementById("email").value,
        message: document.getElementById("message").value
      };

      // Send form data to the server-side script using AJAX
      var xhr = new XMLHttpRequest();
      xhr.open("POST", "process_form.php", true);
      xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

      xhr.onreadystatechange = function () {
        if (xhr.readyState === 4 && xhr.status === 200) {
          // Handle the server response
          if (xhr.responseText === "success") {
            displayStatusMessage("Email sent successfully!");
          } else {
            displayStatusMessage("Error sending email. Please try again.");
          }
        }
      };

      // Convert formData to URL-encoded format
      var encodedData = Object.keys(formData)
        .map(function (key) {
          return encodeURIComponent(key) + "=" + encodeURIComponent(formData[key]);
        })
        .join("&");

      // Send the request
      xhr.send(encodedData);
    }

    function displayStatusMessage(message) {
      document.getElementById("statusMessage").innerText = message;
    }
  </script>

  <?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get form data
    $name = test_input($_POST["name"]);
    $email = test_input($_POST["email"]);
    $message = test_input($_POST["message"]);

    // Set recipient email address
    $to = "zohiabover@gmail.com";

    // Set subject
    $subject = "New Contact Form Submission";

    // Build email message
    $email_message = "Name: $name\n";
    $email_message .= "Email: $email\n\n";
    $email_message .= "Message:\n$message";

    // Additional headers
    $headers = "From: $email";

    // Attempt to send email
    if (mail($to, $subject, $email_message, $headers)) {
        echo "success";
    } else {
        echo "error";
    }
}

function test_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}
?>

</body>
</html>


